
template _tmp_0
{
    name = "tpled_template2";
    type = GRAPHICAL;
    width = 210;
    maxheight = 50;
    columns = (1, 1);
    gap = 5;
    fillpolicy = EVEN;
    filldirection = HORIZONTAL;
    margins = (10, 10, 10, 10);
    gridxspacing = 5;
    gridyspacing = 5;
    version = 3.21;
    created = "16.07.2019 18:31";
    modified = "16.07.2019 19:29";
    notes = "";

    row _tmp_1
    {
        name = "PART";
        height = 10;
        visibility = TRUE;
        usecolumns = FALSE;
        rule = "";
        contenttype = "PART";
        sorttype = NONE;

        valuefield _tmp_2
        {
            name = "w_pl";
            location = (0, 5);
            formula = "if GetValue(\"WEIGHT_GROSS\") < 0.1 then \n    0.1\nelse \n    if (GetValue(\"AREA_PLAN\") <= 0.2) && (GetValue(\"PLATE_THICKNESS\") <= 12.0) then \n        GetValue(\"WEIGHT_GROSS\")\n    else \n        GetValue(\"WEIGHT\")\n    endif \nendif ";
            datatype = DOUBLE;
            class = "Weight";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 8;
            decimals = 3;
            sortdirection = NONE;
            fontname = "ISOCPEUR";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
            unit = "kg";
        };

        valuefield _tmp_4
        {
            name = "w_other";
            location = (20, 5);
            formula = "GetValue(\"WEIGHT\")";
            datatype = DOUBLE;
            class = "Weight";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 8;
            decimals = 3;
            sortdirection = NONE;
            fontname = "ISOCPEUR";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
            unit = "kg";
        };

        valuefield _tmp_6
        {
            name = "w_str";
            location = (0, 0);
            formula = "format(\nif GetValue(\"PROFILE_TYPE\") == \"B\" then\n    GetFieldFormula(\"w_pl\")\nelse\n    GetFieldFormula(\"w_other\")\nendif\n, \"Weight\", \"kg\", 1)";
            datatype = STRING;
            class = "";
            cacheable = TRUE;
            justify = LEFT;
            visibility = TRUE;
            angle = 0;
            length = 14;
            decimals = 0;
            sortdirection = NONE;
            fontname = "ISOCPEUR";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
        };

        valuefield _tmp_8
        {
            name = "area_plan";
            location = (60, 5);
            formula = "GetValue(\"AREA_PLAN\")";
            datatype = DOUBLE;
            class = "Area";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 8;
            decimals = 3;
            sortdirection = NONE;
            fontname = "ISOCPEUR";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
            unit = "m2";
        };

        valuefield _tmp_1
        {
            name = "pl_t";
            location = (40, 0);
            formula = "GetValue(\"WIDTH\")";
            datatype = DOUBLE;
            class = "Length";
            cacheable = TRUE;
            justify = RIGHT;
            visibility = TRUE;
            angle = 0;
            length = 8;
            decimals = 4;
            sortdirection = NONE;
            fontname = "ISOCPEUR";
            fontcolor = 153;
            fonttype = 2;
            fontsize = 3.5;
            fontratio = 1;
            fontstyle = 0;
            fontslant = 0;
            pen = -1;
            oncombine = NONE;
            unit = "mm";
        };
    };
};
